[package]
name = "test_zk_contract"
version = "0.1.0"
edition = "2021"
license = "MIT"

[features]
abi = ["pbc_contract_common/abi", "pbc_contract_codegen/abi", "pbc_traits/abi", "create_type_spec_derive/abi", "pbc_lib/abi"]

[lib]
path = "src/contract.rs"
crate-type = ['cdylib']

[package.metadata.zk]
zk-compute-path = "src/zk_compute.rs"

[package.metadata.zkcompiler]
url = "https://gitlab.com/api/v4/groups/12499775/-/packages/maven/com/partisiablockchain/language/zkcompiler/4.35.0/zkcompiler-4.35.0-jar-with-dependencies.jar"

[dependencies]
pbc_contract_common.workspace = true
pbc_traits.workspace = true
pbc_lib.workspace = true
read_write_rpc_derive.workspace = true
read_write_state_derive.workspace = true
create_type_spec_derive.workspace = true
pbc_contract_codegen.workspace = true
pbc_zk.workspace = true
